Loading...
Searching...
No Matches
BALL::MMFF94Torsion::Torsion Struct Reference

see MMFFTOR.PAR More...

`#include <BALL/MOLMEC/MMFF94/MMFF94Torsion.h>`

## Public Member Functions

| Torsion ()

## Public Attributes

Index | type
Atom * | atom1
Atom * | atom2
Atom * | atom3
Atom * | atom4
double | v1
double | v2
double | v3
double | energy
double | angle
bool | heuristic

## Detailed Description

see MMFFTOR.PAR

Definition at line 33 of file MMFF94Torsion.h.

## Constructor & Destructor Documentation

## Torsion()

BALL::MMFF94Torsion::Torsion::Torsion | ( |  | ) |

## Member Data Documentation

## angle

double BALL::MMFF94Torsion::Torsion::angle

Definition at line 45 of file MMFF94Torsion.h.

## atom1

Atom* BALL::MMFF94Torsion::Torsion::atom1

Definition at line 38 of file MMFF94Torsion.h.

## atom2

Atom* BALL::MMFF94Torsion::Torsion::atom2

Definition at line 39 of file MMFF94Torsion.h.

## atom3

Atom* BALL::MMFF94Torsion::Torsion::atom3

Definition at line 40 of file MMFF94Torsion.h.

## atom4

Atom* BALL::MMFF94Torsion::Torsion::atom4

Definition at line 41 of file MMFF94Torsion.h.

## energy

double BALL::MMFF94Torsion::Torsion::energy

Definition at line 44 of file MMFF94Torsion.h.

## heuristic

bool BALL::MMFF94Torsion::Torsion::heuristic

Definition at line 46 of file MMFF94Torsion.h.

## type

Index BALL::MMFF94Torsion::Torsion::type

Definition at line 37 of file MMFF94Torsion.h.

## v1

double BALL::MMFF94Torsion::Torsion::v1

Definition at line 42 of file MMFF94Torsion.h.

## v2

double BALL::MMFF94Torsion::Torsion::v2

Definition at line 42 of file MMFF94Torsion.h.

## v3

double BALL::MMFF94Torsion::Torsion::v3

Definition at line 42 of file MMFF94Torsion.h.